package com.gyee.frame.util.golden.timeseries;

/**
 * @author songwb<songwb@aliyun.com>
 */
public class BasicTsPoint implements TsPoint{

    private final String id;

    private final TsDataType tsDataType;

    public BasicTsPoint(String id,  TsDataType tsDataType) {
        this.id = id;
        this.tsDataType = tsDataType;
    }

    public String getId() { return id; }

    public TsDataType getTsDataType() {return tsDataType; }

    @Override
    public String toString() {
        return "BasicTsPoint{id='" + id +
                "', dataType='" + this.getTsDataType() +
                "'}";
    }

}

